> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Csat Score



## OpenAPI

````yaml get /v1/agents/{assistant_id}/insights/csat-score
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/agents/{assistant_id}/insights/csat-score:
    get:
      tags:
        - V1 - Insights
      summary: Csat Score
      operationId: csat_score
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assistant Id
        - name: days
          in: query
          required: false
          schema:
            type: integer
            maximum: 90
            minimum: 1
            default: 7
            title: Days
        - name: deployment_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Deployment Id
        - name: message_length
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - short
                  - medium
                  - long
                type: string
              - type: 'null'
            title: Message Length
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CSATScore'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CSATScore:
      properties:
        total:
          type: integer
          title: Total
        positive:
          type: integer
          title: Positive
        score_pct:
          type: number
          title: Score Pct
        delta_pct:
          anyOf:
            - type: number
            - type: 'null'
          title: Delta Pct
        ratings:
          items:
            $ref: '#/components/schemas/CSATRatingCount'
          type: array
          title: Ratings
        days:
          type: integer
          title: Days
      type: object
      required:
        - total
        - positive
        - score_pct
        - delta_pct
        - ratings
        - days
      title: CSATScore
      description: 'CX score: the share of conversations rated 4 or 5 (the bar plot).'
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CSATRatingCount:
      properties:
        rating:
          type: integer
          title: Rating
        count:
          type: integer
          title: Count
      type: object
      required:
        - rating
        - count
      title: CSATRatingCount
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````